---
layout: mockup
title: "Cellular - Network Selection"
theme: Adwaita/Adwaita.css
permalink: settings/cellular/network-selection
wallpaper: adwaita
---

<!-- css -->
<link rel="stylesheet" type="text/css" href="{{ site.baseurl }}/css/Adwaita/apps/settings.css">

{%- include widgets/_panel.html -%}

<!-- Window -->
<div class="window medium">
	<!-- Titlebar -->
	<div class="titlebar paned">
		<div class="button-group pane float-left">
			<a class="button image-button float-left secondaryButton" href="{{ site.baseurl }}/settings/cellular">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a>
			<a class="button image-button primaryButton">{%- include symbolic/actions/edit-find-symbolic.svg -%}</a>
			<span class="title">Settings</span>
		</div>
		<a class="button image-button float-left primaryButton" href="{{ site.baseurl }}/settings/cellular">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a>
		<!-- Title -->
		<div class="title-group">
			<span class="title">Network Selection</span>
		</div>
		<div class="button-group float-right">
			{%- include components/close-button.html close = "window" -%}
		</div>
	</div>
	<!-- Content -->
	<div class="content">
		{%- include widgets/_settings-sidebar.html -%}
		<!-- View -->
		<div class="view">
			
		</div>
	</div>
</div>

<!-- js -->
<script type="text/javascript">
// highlight sidebar
$(document).ready(function() {$('#settingsSidebar a:nth-of-type(2) li').addClass("active");});

// $('#cellularNetworkSelectionOptions').hide();

// cellular toggle
$('#cellularAutomaticNetworkSelectionSwitch').change(function(){
	if($(this).is(":checked")) {
		$('#cellularNetworkSelectionOptions').hide();
	} else {
		$('#cellularNetworkSelectionOptions').show();
	}
});

function cellularNetworkOption4G(){
	$('#cellularNetworkOption1').prop('checked', true )
	;$('#statusCellularNetworkMobile').removeClass('hidden')
	;$('#statusCellularNetwork3GMobile').addClass('hidden')
	;$('#statusCellularNetwork2GMobile').addClass('hidden');
	;$('#statusCellularNetwork').removeClass('hidden')
	;$('#statusCellularNetwork3G').addClass('hidden')
	;$('#statusCellularNetwork2G').addClass('hidden');
}

function cellularNetworkOption3G(){
	$('#cellularNetworkOption2').prop('checked', true )
	;$('#statusCellularNetworkMobile').addClass('hidden')
	;$('#statusCellularNetwork3GMobile').removeClass('hidden')
	;$('#statusCellularNetwork2GMobile').addClass('hidden');
	;$('#statusCellularNetwork').addClass('hidden')
	;$('#statusCellularNetwork3G').removeClass('hidden')
	;$('#statusCellularNetwork2G').addClass('hidden');
}

function cellularNetworkOption2G(){
	$('#cellularNetworkOption3').prop('checked', true )
	;$('#statusCellularNetworkMobile').addClass('hidden')
	;$('#statusCellularNetwork3GMobile').addClass('hidden')
	;$('#statusCellularNetwork2GMobile').removeClass('hidden');
	;$('#statusCellularNetwork').addClass('hidden')
	;$('#statusCellularNetwork3G').addClass('hidden')
	;$('#statusCellularNetwork2G').removeClass('hidden');
}
</script>